Subject: Re: bug#8785: 24.0.50; progress-reporter shows percentage with no space

From: Stefan Monnier <[email-masked]>
Date: Thu, 02 Jun 2011 09:38:15 -0300

> When I send a big mail using smtpmail, I get:
> Sending email
> Sending email12%
> Sending email85%
> Sending email87%
> Sending email90%
> Sending email92%
> Sending email95%
> Sending email97%
> Sending emaildone

> SPC is needed between text and percentage, I think.  Is what

Actually it's a " ... " that's missing.

> should be fixed `progress-reporter-do-update', or should every
> program that uses `make-progress-reporter' add SPC to the first
> argument?

I'd tend to say "better fix it in make-progress-reporter", but it might
be too late to change it.

        Stefan